	-- MUST BE OPEN SOURCE (excluding apikey) in external file
	-- Add Timer, refresh only allowed every x min (5?)
	-- todo: put servers of region together to get all realms of a region with 1 call
	-- tblServerStatus[1-3][x] - x1 = Region, x2 = Name, x3 = slug
if gRealmStatusCheckedRecently == false then
	Image.SetOpacity("btnRefreshRealmStatus", 40);
	gRealmStatusCheckedRecently = true;
	Page.StartTimer(gManualServerRefreshInterval, gManualServerRefreshID); -- 5 Minutes until next check to prevent too many calls
	-- Hide Icons
	Image.SetVisible("RealmStatus1", false);
	Image.SetVisible("RealmPop1", false);
	Image.SetVisible("RealmStatus2", false);
	Image.SetVisible("RealmPop2", false);
	Image.SetVisible("RealmStatus3", false);
	Image.SetVisible("RealmPop3", false);
	
	-- Show Realm Names
	if tblServerStatus[1] ~= nil then
		Label.SetText("RealmLabel1", tblServerStatus[1][2]);
	else
		Label.SetText("RealmLabel1", "");
	end
	if tblServerStatus[2] ~= nil then
		Label.SetText("RealmLabel2", tblServerStatus[2][2]);
	else
		Label.SetText("RealmLabel2", "");
	end
	if tblServerStatus[3] ~= nil then
		Label.SetText("RealmLabel3", tblServerStatus[3][2]);
	else
		Label.SetText("RealmLabel3", "");
	end
	
	-- Check Status
	-- Realm 1 of 3
	if tblServerStatus[1] ~= nil then
		tblTemp = {realms=tblServerStatus[1][3], apikey=gApiKey};
		strServerData = HTTP.SubmitSecure("https://"..tblServerStatus[1][1]..".api.battle.net/wow/realm/status", tblTemp, SUBMITWEB_GET, 10, 443, nil, nil);
		if strServerData ~= "" then
			tblServerData = JSON.Decode(strServerData);
			-- Returns: status=true/false (on/off), queue=true/false, population=low/medium/high, name, slug
			if tblServerData.realms then
				if tblServerData.realms[1].status == true then
					Image.Load("RealmStatus1", _SourceFolder.."\\DATA\\Images\\ServerON.png");
					Image.SetProperties("RealmStatus1", {TooltipText="Online"});
				else
					Image.Load("RealmStatus1", _SourceFolder.."\\DATA\\Images\\ServerOFF.png");
					Image.SetProperties("RealmStatus1", {TooltipText="Offline"});
				end
				
				if tblServerData.realms[1].queue == true then
					-- show queue icon
					Image.Load("RealmPop1", _SourceFolder.."\\DATA\\Images\\Queue.png");
					Image.SetProperties("RealmPop1", {TooltipText=LOCALE.Queue});
				else
					-- no queue, show population
					if tblServerData.realms[1].population == "low" then
						Image.Load("RealmPop1", _SourceFolder.."\\DATA\\Images\\PopLow.png");
						Image.SetProperties("RealmPop1", {TooltipText=LOCALE.Low});
					elseif tblServerData.realms[1].population == "medium" then
						Image.Load("RealmPop1", _SourceFolder.."\\DATA\\Images\\PopMedium.png");
						Image.SetProperties("RealmPop1", {TooltipText=LOCALE.Medium});
					elseif tblServerData.realms[1].population == "high" then
						Image.Load("RealmPop1", _SourceFolder.."\\DATA\\Images\\PopHigh.png");
						Image.SetProperties("RealmPop1", {TooltipText=LOCALE.High});
					end
				end
			end
		else
			-- Error (show Error Icon as Status)
			Image.Load("RealmPop1", _SourceFolder.."\\DATA\\Images\\error_icon.png");
			Image.SetProperties("RealmPop1", {TooltipText=LOCALE.RealmError});
		end
		-- Show Icons
		Image.SetVisible("RealmStatus1", true);
		Image.SetVisible("RealmPop1", true);
	end
	
-- Realm 2 of 3
if tblServerStatus[2] ~= nil then
	tblTemp = {realms=tblServerStatus[2][3], apikey=gApiKey};
	strServerData = HTTP.SubmitSecure("https://"..tblServerStatus[2][1]..".api.battle.net/wow/realm/status", tblTemp, SUBMITWEB_GET, 10, 443, nil, nil);
	if strServerData ~= "" then
		tblServerData = JSON.Decode(strServerData);
		-- Returns: status=true/false (on/off), queue=true/false, population=low/medium/high, name, slug
		if tblServerData.realms then
			if tblServerData.realms[1].status == true then
				Image.Load("RealmStatus2", _SourceFolder.."\\DATA\\Images\\ServerON.png");
				Image.SetProperties("RealmStatus2", {TooltipText="Online"});
			else
				Image.Load("RealmStatus2", _SourceFolder.."\\DATA\\Images\\ServerOFF.png");
				Image.SetProperties("RealmStatus2", {TooltipText="Offline"});
			end
			
			if tblServerData.realms[1].queue == true then
				-- show queue icon
				Image.Load("RealmPop2", _SourceFolder.."\\DATA\\Images\\Queue.png");
				Image.SetProperties("RealmPop2", {TooltipText=LOCALE.Queue});
			else
				-- no queue, show population
				if tblServerData.realms[1].population == "low" then
					Image.Load("RealmPop2", _SourceFolder.."\\DATA\\Images\\PopLow.png");
					Image.SetProperties("RealmPop2", {TooltipText=LOCALE.Low});
				elseif tblServerData.realms[1].population == "medium" then
					Image.Load("RealmPop2", _SourceFolder.."\\DATA\\Images\\PopMedium.png");
					Image.SetProperties("RealmPop2", {TooltipText=LOCALE.Medium});
				elseif tblServerData.realms[1].population == "high" then
					Image.Load("RealmPop2", _SourceFolder.."\\DATA\\Images\\PopHigh.png");
					Image.SetProperties("RealmPop2", {TooltipText=LOCALE.High});
				end
			end
		end
	else
		-- Error (show Error Icon as Status)
		Image.Load("RealmPop2", _SourceFolder.."\\DATA\\Images\\error_icon.png");
		Image.SetProperties("RealmPop2", {TooltipText=LOCALE.RealmError});
	end
	-- Show Icons
	Image.SetVisible("RealmStatus2", true);
	Image.SetVisible("RealmPop2", true);
end

-- Realm 3 of 3
if tblServerStatus[3] ~= nil then
	tblTemp = {realms=tblServerStatus[3][3], apikey=gApiKey};
	strServerData = HTTP.SubmitSecure("https://"..tblServerStatus[3][1]..".api.battle.net/wow/realm/status", tblTemp, SUBMITWEB_GET, 10, 443, nil, nil);
	if strServerData ~= "" then
		tblServerData = JSON.Decode(strServerData);
		-- Returns: status=true/false (on/off), queue=true/false, population=low/medium/high, name, slug
		if tblServerData.realms then
			if tblServerData.realms[1].status == true then
				Image.Load("RealmStatus3", _SourceFolder.."\\DATA\\Images\\ServerON.png");
				Image.SetProperties("RealmStatus3", {TooltipText="Online"});
			else
				Image.Load("RealmStatus3", _SourceFolder.."\\DATA\\Images\\ServerOFF.png");
				Image.SetProperties("RealmStatus3", {TooltipText="Offline"});
			end
			
			if tblServerData.realms[1].queue == true then
				-- show queue icon
				Image.Load("RealmPop3", _SourceFolder.."\\DATA\\Images\\Queue.png");
				Image.SetProperties("RealmPop3", {TooltipText=LOCALE.Queue});
			else
				-- no queue, show population
				if tblServerData.realms[1].population == "low" then
					Image.Load("RealmPop3", _SourceFolder.."\\DATA\\Images\\PopLow.png");
					Image.SetProperties("RealmPop3", {TooltipText=LOCALE.Low});
				elseif tblServerData.realms[1].population == "medium" then
					Image.Load("RealmPop3", _SourceFolder.."\\DATA\\Images\\PopMedium.png");
					Image.SetProperties("RealmPop3", {TooltipText=LOCALE.Medium});
				elseif tblServerData.realms[1].population == "high" then
					Image.Load("RealmPop3", _SourceFolder.."\\DATA\\Images\\PopHigh.png");
					Image.SetProperties("RealmPop3", {TooltipText=LOCALE.High});
				end
			end
		end
	else
		-- Error (show Error Icon as Status)
		Image.Load("RealmPop3", _SourceFolder.."\\DATA\\Images\\error_icon.png");
		Image.SetProperties("RealmPop3", {TooltipText=LOCALE.RealmError});
	end
	-- Show Icons
	Image.SetVisible("RealmStatus3", true);
	Image.SetVisible("RealmPop3", true);
end
end
